Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.remoting
Class ClientInvokerAdapter

    java.lang.Object
      org.jboss.remoting.ClientInvokerAdapter

All Implemented Interfaces:
  ClientInterceptor, Serializable

public class ClientInvokerAdapter
extends Object
implements ClientInterceptor, Serializable

ClientInvokerAdapter.java is a ClientInterceptor for the end of the interceptor chain: it finds the right RemoteClientInvoker and calls it. This is an mbean only for ease of configuration of interceptor chains. Created: Wed Apr 30 19:30:36 2003

Version:
  1.0
Author:
  David Jencks, Tom Elrod
See Also:
  Serialized Form

Constructor Summary
`ClientInvokerAdapter()`
`ClientInvokerAdapter(ClassLoader cl)`

Method Summary
`void` | `addListener(InvokerLocator locator, String subsystem, InvokerCallbackHandler callbackHandler)` The `addListener` method
`void` | `connect(InvokerLocator locator)` The `connect` method
`void` | `disconnect(InvokerLocator locator)` The `disconnect` method
`List` | `getCallbacks(InvokerLocator locator, String subsystem)` The `getCallbacks` method
`protected ClientInvoker` | `getClientInvoker(InvokerLocator locator)`
`Object` | `invoke(InvocationRequest invocation)` The `invoke` method
`boolean` | `isConnected(InvokerLocator locator)` The `isConnected` method
`void` | `removeListener(InvokerLocator locator, String subsystem, InvokerCallbackHandler callbackHandler)` The `removeListener` method

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ClientInvokerAdapter

    public ClientInvokerAdapter()

### ClientInvokerAdapter

    public ClientInvokerAdapter(ClassLoader cl)

Method Detail

### addListener

    public void addListener(InvokerLocator locator,
                            String subsystem,
                            InvokerCallbackHandler callbackHandler)
                     throws Throwable

  The `addListener` method

  Specified by:
    `addListener` in interface `ClientInterceptor`
  Parameters:
    `callbackHandler` -
  Throws:
    `Throwable` - if an error occurs

### removeListener

    public void removeListener(InvokerLocator locator,
                               String subsystem,
                               InvokerCallbackHandler callbackHandler)
                        throws Throwable

  The `removeListener` method

  Specified by:
    `removeListener` in interface `ClientInterceptor`
  Parameters:
    `callbackHandler` -
  Throws:
    `Throwable` - if an error occurs

### getCallbacks

    public List getCallbacks(InvokerLocator locator,
                             String subsystem)
                      throws Throwable

  The `getCallbacks` method

  Specified by:
    `getCallbacks` in interface `ClientInterceptor`
  Returns:
    a `List` value
  Throws:
    `Throwable` - if an error occurs

### invoke

    public Object invoke(InvocationRequest invocation)
                  throws Throwable

  The `invoke` method

  Specified by:
    `invoke` in interface `ClientInterceptor`
  Returns:
    an `Object` value
  Throws:
    `Throwable` - if an error occurs

### connect

    public void connect(InvokerLocator locator)
                 throws Exception

  The `connect` method

  Specified by:
    `connect` in interface `ClientInterceptor`
  Throws:
    `Exception` - if an error occurs

### isConnected

    public boolean isConnected(InvokerLocator locator)
                        throws Exception

  The `isConnected` method

  Specified by:
    `isConnected` in interface `ClientInterceptor`
  Returns:
    a `boolean` value
  Throws:
    `Exception`

### disconnect

    public void disconnect(InvokerLocator locator)
                    throws Exception

  The `disconnect` method

  Specified by:
    `disconnect` in interface `ClientInterceptor`
  Throws:
    `Exception`

### getClientInvoker

    protected ClientInvoker getClientInvoker(InvokerLocator locator)
                                      throws Exception

  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.